This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 289081 - Kernel error for cyrus: *** glibc detected *** lmtpd: double free or corruption (out): 0x00002aaaacdeaa10 ***
Kernel error for cyrus: *** glibc detected *** lmtpd: double free or corrupti...
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: cyrus-imapd (Show other bugs)
6
x86_64 Linux
medium Severity high
: ---
: ---
Assigned To: Tomas Janousek
Fedora Extras Quality Assurance
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-09-13 07:25 EDT by Ali Nebi
Modified: 2008-08-02 19:40 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-04 06:59:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Kernel errors for cyrus (4.55 KB, application/octet-stream)
2007-09-13 07:25 EDT, Ali Nebi
no flags Details

  None (edit)
Description Ali Nebi 2007-09-13 07:25:25 EDT
Description of problem:
When postfix and cyrus are running. We get this error several times:
*** glibc detected *** lmtpd: double free or corruption (out):
0x00002aaaacdeaa10 *** with different memory addresses.
Mail server don't receive any messages.
The problem disappears after downgrading to 2.3.8-3.

Version-Release number of selected component (if applicable):
cyrus-imapd-2.3.9-6.fc6

How reproducible:
Upgrade to cyrus-imapd-2.3.9-6.fc6
 
Actual results:
Sep 12 16:42:38 hermod kernel: imapd[30775]: segfault at 0000555554000000 rip
00002aaaacb11af9 rsp 00007fffbe740130 error 4
Sep 12 16:55:10 hermod kernel: pop3d[2270]: segfault at 00000000fffffff7 rip
00002aaaacb11adb rsp 00007ffff6835f40 error 4
We don't receive mails after that. We need to restart cyrus or machine.
The errors apear after restart too.

Additional info:
Additional info is in the atached file.
Comment 1 Ali Nebi 2007-09-13 07:25:25 EDT
Created attachment 194521 [details]
Kernel errors for cyrus
Comment 2 Tomas Janousek 2007-09-24 11:37:55 EDT
Sorry for the late reply. I tried to reproduce this but did not succeed. I
applied a few patches and made a new build, so you can try this one:
http://koji.fedoraproject.org/koji/taskinfo?taskID=170944 I don't think it will
help though.
I'd be glad if you can provide me a gdb backtrace. If you're able to connect to
the server via IMAP/POP3 (ie. the crash occurs only after you do something or
close the connection), use netstat -tpn to find the process you're connected to
and attach gdb using `gdb /usr/lib/cyrus-imapd/imapd pid'. Then try to reproduce
the crash. Don't forget to install the debuginfo package.
Comment 3 Tomas Janousek 2007-09-24 12:13:00 EDT
Oh, I forgot:
After attaching gdb, type 'c' to resume the running program. And the backtrace
can be obtained using "bt full".
Comment 4 Bug Zapper 2008-04-04 03:34:18 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 5 Ali Nebi 2008-04-04 03:48:36 EDT
Sorry for too late reply. I was forgot for this bug.

I received the message in my e-mail and remember for this bug report.
We moved our systems to CentOS 5.1 and we can't reproduce this bug again. I
suppose this bug is solved in the lastest release and suggest to close this bug
report.

Best regards, Ali Nebi!
Comment 6 Ali Nebi 2008-04-04 03:48:48 EDT
Sorry for too late reply. I was forgot for this bug.

I received the message in my e-mail and remember for this bug report.
We moved our systems to CentOS 5.1 and we can't reproduce this bug again. I
suppose this bug is solved in the lastest release and suggest to close this bug
report.

Best regards, Ali Nebi!

Note You need to log in before you can comment on or make changes to this bug.